import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Checkbox } from "@alicloudfe/components";
import cls from "classnames";

// console.log({...Checkbox});
var BDesignCheckbox = function BDesignCheckbox(props) {
  console.log(props, 'props');

  var className = props.className,
      size = props.size,
      rest = _objectWithoutProperties(props, ["className", "size"]);

  console.log(className, 'className');
  console.log(size);
  return /*#__PURE__*/React.createElement(Checkbox, _extends({
    className: cls(className, {
      'next-checkbox-small': size === "small",
      'next-checkbox-medium': size === 'medium',
      'next-checkbox-large': size === 'large'
    })
  }, rest));
};

var BDesignGroup = function BDesignGroup(props) {
  var className = props.className,
      type = props.type,
      size = props.size,
      rest = _objectWithoutProperties(props, ["className", "type", "size"]);

  return /*#__PURE__*/React.createElement(Checkbox.Group, _extends({
    className: cls(className, {
      'next-checkbox-group-small': size === "small",
      'next-checkbox-group-medium': size === 'medium',
      'next-checkbox-group-large': size === 'large'
    })
  }, rest));
};

BDesignCheckbox.Group = BDesignGroup;
export default BDesignCheckbox;